Subject: Re: bug#2355: 23.0.60; Enabling minor-mode disables major mode

From: Leo <[email-masked]>
Date: Tue, 17 Feb 2009 16:04:10 +0000

On 2009-02-17 14:37 +0000, Juanma Barranquero wrote:
> tags 2355 + notabug
> quit
>
>> ---------------- file: sample.tex ----------------
>> %% -*- mode:outline-minor; -*-
>
> You're abusing the "mode" file variable. It's intended to set the
> *major* mode. See node "57.3.4.1 Specifying File Variables" in the
> Emacs manual.

Why is that an abuse? The manual does not specify what is not allowed.

>> ---------------- file: sample.tex ----------------
>> % Empty
>>
>> %% Local Variables:
>> %% mode: outline-minor
>> %% End:
>> --------------------------------------------------
>>
>> Emacs will put it in LaTeX/TeX mode with outline-minor-mode.
>>
>> I wonder if this is a bug.
>
> No. The buffer is autodetected as tex-mode buffer, and then the local
> variables section is acted upon; but calling (funcall
> 'outline-minor-mode) does not change the major mode, so it stays in
> tex-mode.

Sorry I was not clear. I am questioning whether the different behaviour
between these two ways of specifying local variables is a bug or not. In
my view, it is confusing at least.

>     Juanma

-- 
.:  Leo  :.  [ sdl.web AT gmail.com ]  .: I use Emacs :.